# Class Expression

java.lang.Object
javax.el.Expression

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MethodExpression, ValueExpression`

public abstract class Expression extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Expression()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `equals(Object obj)`
  `abstract String`
  `getExpressionString()`
  `abstract int`
  `hashCode()`
  `abstract boolean`
  `isLiteralText()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Expression

    public Expression()

- ## Method Details

  - ### getExpressionString

    public abstract String getExpressionString()

  - ### equals

    public abstract boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public abstract int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isLiteralText

    public abstract boolean isLiteralText()